summaryrefslogtreecommitdiff
path: root/dev-python/PyWavefront/PyWavefront-1.3.3.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-07 16:46:28 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-07 16:46:28 +0000
commitad104f434e3a64aaeb730713e6e729a6623d3d78 (patch)
tree5cc07213e9ec7a0a9b37ac9bad3fde76d4313dbc /dev-python/PyWavefront/PyWavefront-1.3.3.ebuild
parent66803ee5a4746c216c857aeb8747130c4eb361e2 (diff)
downloadbaldeagleos-repo-ad104f434e3a64aaeb730713e6e729a6623d3d78.tar.gz
baldeagleos-repo-ad104f434e3a64aaeb730713e6e729a6623d3d78.tar.xz
baldeagleos-repo-ad104f434e3a64aaeb730713e6e729a6623d3d78.zip
Adding metadata
Diffstat (limited to 'dev-python/PyWavefront/PyWavefront-1.3.3.ebuild')
-rw-r--r--dev-python/PyWavefront/PyWavefront-1.3.3.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/PyWavefront/PyWavefront-1.3.3.ebuild b/dev-python/PyWavefront/PyWavefront-1.3.3.ebuild
new file mode 100644
index 000000000000..ccbe0ef6872c
--- /dev/null
+++ b/dev-python/PyWavefront/PyWavefront-1.3.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for importing Wavefront .obj files"
+HOMEPAGE="https://github.com/pywavefront/PyWavefront https://pypi.org/project/PyWavefront"
+SRC_URI="https://github.com/pywavefront/PyWavefront/archive/refs/tags/${PV}.tar.gz -> v${PV}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${BDEPEND}"
+
+distutils_enable_tests pytest
+
+# src_test() {
+# virtx distutils-r1_src_test
+# }
+# python_test() {
+# rm "${S}/tests/test_local.py"
+# cd "${T}" || die
+# epytest "${S}"/tests
+# }